clgaussian.test {bnlearn} | R Documentation

## Synthetic (mixed) data set to test learning algorithms

### Description

This a synthetic data set used as a test case in the bnlearn package.

### Usage

    data(clgaussian.test)

### Format

The `clgaussian.test` data set contains one normal (Gaussian) variable, 4 discrete variables and 3 conditional Gaussian variables.

### Note

The R script to generate data from this network is available from https://www.bnlearn.com/documentation/networks/.

### Examples

    # load the data.
    data(clgaussian.test)
    # create and plot the network structure.
    dag = model2network("[A][B][C][H][D|A:H][F|B:C][E|B:D][G|A:D:E:F]")
    ## Not run: graphviz.plot(dag)

[Package bnlearn version 4.7.1 Index]